<%- include('./partials/header') %>
<%- include('./partials/file-start') %>
<%- include('./partials/menu') %>
<div class="toast" id="toast-logout" style="position: absolute; top: 20px; right: 20px; display: none; ">
    <div class="toast-header">
        <i class="fas fa-key"></i>
        <strong class="mr-auto ml-1">Olda Vrátník</strong>
        <small class="ml-auto">Právě teď</small>
        <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="toast-body text-black-50">
        <strong class="text-darker">Gratuluji!</strong>
        Odhlášení proběhlo úspěšně, bude se mi stýskat.
    </div>
</div>
<main role="main" class="inner cover mt-5">
    <h1 class="cover-heading"><%= title %></h1>
    <span class="underline"></span>
    <div class="mt-5">
        <form id="login">
            <div class="form-group">
                <label for="email">Emailová adresa</label>
                <input type="email" class="form-control" id="email" placeholder="Zadejte Váš email" required>
            </div>
            <div class="form-group">
                <label for="password">Heslo</label>
                <input type="password" class="form-control" id="password" placeholder="Zadejte heslo" required>
            </div>
            <div class="form-group" id="login-status" style="display: none;"></div>
            <div class="form-group">
                <button type="submit" class="btn btn-secondary">Přihlásit</button>
            </div>
            <div class="form-group">
                <a href="/register">Ještě nemám účet a chci si ho vytvořit</a>
            </div>
        </form>
    </div>
</main>

<%- include('./partials/scripts-file-end') %>
<script>
    $(document).ready(function () {
        if (Cookies.get('toast-logout') === 'true') {
            $('#toast-logout')
                .show()
                .toast({
                    animation: true,
                    autohide: true,
                    delay: 3500
                })
                .toast('show')
            Cookies.set('toast-logout', 'false')
        } 
        $('form#login').submit(function (event) {
            event.preventDefault()
            $('div#login-status')
                .empty()
                .append(
                    $('<div>', { class: 'alert alert-info alert-dismissible' }).append(
                        $('<i>', { class: 'fas fa-circle-notch fa-spin' }),
                        $('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
                        $('<strong>').text(' Přihlašuji'),
                        ' Vyčkejte prosím'
                    )
                )
                .show()
            let email = $('#email').val()
            let password = $('#password').val()
            let strongAlertText = ' Ach ne!'
            let alertText
            let alertStatus

            if (email === '') {
                alertText = ' Email nemůže být prázdný'
            } else if (password === '') {
                alertText = ' Heslo nemůže být prázdné'
            }

            if (alertText !== undefined) {
                $('div#login-status')
                    .empty()
                    .append(
                        $('<div>', { class: 'alert alert-danger alert-dismissible' }).append(
                            $('<i>', { class: 'fas fa-exclamation-triangle', 'aria-hidden': 'true' }),
                            $('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
                            $('<strong>').text(strongAlertText),
                            alertText
                        )
                    )
                    .show()
            }

            API.user.login(email, password).done(function (responseFromServer) {
                if (responseFromServer.includes('ok')) {
                    Cookies.set('toast-login', 'true')
                    if (responseFromServer === 'ok-admin') {
                        window.location.href = '/admin'
                    } else {
                        window.location.href = '/results'
                    }
                } else if (responseFromServer === 'wrong-email') {
                    $('div#login-status')
                        .empty()
                        .append(
                            $('<div>', { class: 'alert alert-danger alert-dismissible' }).append(
                                $('<i>', { class: 'fas fa-exclamation-triangle', 'aria-hidden': 'true' }),
                                $('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
                                $('<strong>').text(' Ach ne!'),
                                ' Uživatel s tímto emailem neexistuje'
                            )
                        )
                        .show()
                } else if (responseFromServer === 'wrong-password') {
                    $('div#login-status')
                        .empty()
                        .append(
                            $('<div>', { class: 'alert alert-danger alert-dismissible' }).append(
                                $('<i>', { class: 'fas fa-exclamation-triangle', 'aria-hidden': 'true' }),
                                $('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
                                $('<strong>').text(' Ach ne!'),
                                ' Zadané heslo se neshoduje'
                            )
                        )
                        .show()
                }
            })
        })
    })
</script>
<%- include('./partials/footer') %>
<%- include('./partials/file-end') %>
